# $Revision: 1.43 $, $Date: 2005/10/13 21:05:47 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
# TODO:
# - add pod files to spec
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	LibXML
Summary:	XML::LibXML - interface to the GNOME libxml2 library
Summary(pl):	XML::LibXML - interfejs do biblioteki libxml2 z GNOME
Name:		perl-XML-LibXML
Version:	1.58
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/P/PH/PHISH/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4691fc436e5c0f22787f5b4a54fc56b0
BuildRequires:	gdome2-devel >= 0.7.3
BuildRequires:	libxml2-devel >= 2.5.10
BuildRequires:	perl-XML-LibXML-Common
BuildRequires:	perl-XML-NamespaceSupport >= 1.07
BuildRequires:	perl-XML-SAX >= 0.11
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	libxml2 >= 2.5.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements much of the DOM Level 2 API as an interface to
the GNOME libxml2 library. This makes it a fast and highly capable
validating XML parser library, as well as a high performance DOM.

%description -l pl
Ten modu to implementacja wikszoci API DOM Level 2 jako interfejsu
do biblioteki GNOME libxml2. Daje to szybki i o duych moliwociach
parser sprawdzajcy poprawno XML-a, a take wysoko wydajny DOM.

%package SAX
Summary:	XML::LibXML::SAX Perl module - XML::LibXML direct SAX parser
Summary(pl):	Modu Perla XML::LibXML::SAX - bezporedni parser SAX z XML::LibXML
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}

%description SAX
This class allows you to generate SAX2 events using LibXML. Note that
this is not a stream based parser, instead it parses documents into a
DOM and traverses the DOM tree. The reason being that libxml2's stream
based parsing is extremely primitive, and would require an extreme
amount of work to allow SAX2 parsing in a stream manner.

%description SAX -l pl
Ta klasa pozwala generowa zdarzenia SAX2 przy uyciu LibXML2. To nie
jest parser bazujcy na strumieniach - przetwarza dokumenty na DOM i
nastpnie wdruje po drzewie DOM. Wynika to z faktu, e w libxml2
parsowanie oparte na strumieniach jest bardzo prymitywne i wymagaoby
wiele pracy, aby umoliwi strumieniowe parsowanie SAX2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
SKIP_SAX_INSTALL=true;
export SKIP_SAX_INSTALL

%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install example/{*.pl,*.xml,*.dtd,*.xhtml} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/complex
install example/complex/{*.xml,*.dtd} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/complex

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/complex/dtd
install example/complex/dtd/*.dtd $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/complex/dtd

%clean
rm -rf $RPM_BUILD_ROOT

%post SAX
umask 022
%{__perl} -MXML::SAX -e "XML::SAX->add_parser(q(XML::LibXML::SAX::Parser))->save_parsers()"

%preun SAX
if [ "$1" = "0" ]; then
	umask 022
	%{__perl} -MXML::SAX -e "XML::SAX->remove_parser(q(XML::LibXML::SAX::Parser))->save_parsers()"
fi

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/XML/LibXML.pm
%{perl_vendorarch}/XML/LibXML/[!S]*.pm
%{perl_vendorarch}/auto/XML/LibXML/LibXML.bs
%attr(755,root,root) %{perl_vendorarch}/auto/XML/LibXML/LibXML.so
%{_mandir}/man3/XML::LibXML.3pm*
%{_mandir}/man3/XML::LibXML::[!S]*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/x*.pl
%{_examplesdir}/%{name}-%{version}/[!x]*

%files SAX
%defattr(644,root,root,755)
%dir %{perl_vendorarch}/XML/LibXML/SAX
%{perl_vendorarch}/XML/LibXML/SAX.pm
%{perl_vendorarch}/XML/LibXML/SAX/*.pm
%{_mandir}/man3/XML::LibXML::SAX.3pm*
%{_mandir}/man3/XML::LibXML::SAX::*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-LibXML.spec,v $
Revision 1.43  2005/10/13 21:05:47  glen
- rel 2 to rebuild with proper perl-XML-LibXML-Common require

Revision 1.42  2004/12/01 10:13:43  radek
- standarized Source0 URL

Revision 1.41  2004/11/03 22:30:56  paladine
- formatting

Revision 1.40  2004/06/05 20:26:54  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.39  2004/06/05 18:10:50  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.38  2004/05/05 06:28:47  ankry
- license unification, cosmetics

Revision 1.37  2004/04/15 19:46:36  ankry
- cosmetics, unification

Revision 1.36  2004/04/04 17:26:27  adamg
- updated to 1.58

Revision 1.35  2004/03/06 19:01:28  adamg
- changed bcond to without (all tests passed)

Revision 1.34  2004/03/06 18:47:55  adamg
- updated to 1.57
- removed unneeded -Makefile and -extern patches

Revision 1.33  2004/02/23 22:09:00  ankry
- pl fixes, cosmetics

Revision 1.32  2004/01/07 15:40:29  qboosh
- don't remove_parser on upgrade

Revision 1.31  2004/01/07 14:46:08  qboosh
- updated to 1.56, added extern patch - builds with libxml2 1.6.x (tests still not passed)

Revision 1.30  2003/10/02 08:00:59  qboosh
- BR: pkgconfig (needed to detect current gdome2 using gdome-config)
- cosmetics, use standard glob exclusion

Revision 1.29  2003/09/10 03:25:49  aredridel
- added todo

Revision 1.28  2003/09/09 10:24:54  ankry
- spaces -> tab

Revision 1.27  2003/08/26 20:31:21  ankry
- s/[Gg]nome/GNOME/

Revision 1.26  2003/08/18 08:09:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.25  2003/07/27 12:16:41  radek
- release 4:  BR: gdome2-devel
- fixed License field
- provided informative Summary
- use the __perl macro in post/preun

Revision 1.24  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.23  2003/05/25 06:25:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/04/02 12:15:02  ankry
- removed bogus R(post,preun)

Revision 1.21  2003/03/31 23:57:40  ankry
- moved Req(post,preun) to proper package
- set umask in scripts
- rel. 3

Revision 1.20  2003/03/01 22:10:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.19  2003/02/25 00:43:22  radek
- use the __perl macro

Revision 1.18  2003/02/20 22:22:18  ankry
- updated to 1.54.3

Revision 1.17  2003/02/18 15:39:14  ankry
- massive attack: change CPAN URLs

Revision 1.16  2003/02/09 21:25:46  qboosh
- Requires(post,preun): perl-XML-LibXML-SAX

Revision 1.15  2002/12/28 16:30:00  qboosh
- don't force gzipped infos and mans, some other fixes/cosmetics where necessary

Revision 1.14  2002/10/13 19:04:41  kloczek
- release 3.

Revision 1.13  2002/10/06 13:16:52  qboosh
- BR: perl-XML-LibXML-Common

Revision 1.12  2002/10/02 11:47:37  ankry
- removed common dirs (->perl-XML-LibXML-Common)
- release 2

Revision 1.11  2002/09/28 23:19:56  ankry
- added tests
- fixed BR
- %%{_examplesdir} and %%doc fixes
- version 1.53

Revision 1.10  2002/07/20 15:07:15  qboosh
- updated to 1.52, added missing XML::LibXML::SAX module to -SAX

Revision 1.9  2002/07/19 23:43:03  ankry
- translations, cleaning
- s/XML::LibXML-SAX/XML::LibXML::SAX/g
- moved XML/LibXML/SAX.pm also to -SAX package
- remove *.pod from %%files
- release 2

Revision 1.8  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.7  2002/07/11 11:07:32  depesz
- corrected man list

Revision 1.6  2002/07/11 08:06:21  depesz
- new version; should work; STBR

Revision 1.5  2002/07/10 09:02:55  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.4  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.3  2002/04/19 12:33:32  grabba
- spec adapterized

Revision 1.2  2002/04/15 10:23:30  qboosh
- pl descriptions

Revision 1.1  2002/04/14 14:23:50  grabba
- first release
